STDBUF(1)

NAZWA
stdbuf - uruchamia polecenie ze zmodyfikowanymi operacjami buforowania jego standardowych strumieni

SKŁADNIA
stdbuf OPCJA... POLECENIE

OPIS

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-i, --input=TRYB
    dostosowuje buforowanie standardowego strumienia wejścia

-o, --output=TRYB
    dostosowuje buforowanie standardowego strumienia wyjścia

-e, --error=TRYB
    dostosowuje buforowanie standardowego strumienia błędów

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeżeli TRYBEM jest L, to dany strumień będzie buforowany wierszami. Opcji tej nie można użyć do standardowego wejścia.

Jeżeli TRYBEM jest 0, to dany strumień nie będzie buforowany.

TRYB może być również liczbą, która może zostać uzupełniona o jeden z następujących przyrostków: KB 1000, K 1024, MB 1000*1000, M 1024*1024, itd. dla G, T, P, E, Z, Y. W takim przypadku dany strumień będzie w pełni buforowany w buforze o rozmiarze TRYB bajtów.

UWAGA: Jeśli POLECENIE dostosowuje sposób buforowania swoich standardowych strumieni (robi to np. tee), to przesłoni ono ustawienia zmienione przez stdbuf. Także niektóre filtry (np. dd i cat itd.) nie używają strumieni do wejścia/wyjścia i nie zostaną one wówczas zmienione przez ustawienia programu stdbuf.

Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/> Zgłoszenia błędów w tłumaczeniu stdbuf proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRZYKŁADY
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Polecenie natychmiast wyświetli unikatowe wpisy z pliku access.log

BŁĘDY
Na platformach GLIBC określenie rozmiaru bufora np. używanie trybu w pełni buforowanego, spowoduje wykonanie niezdefiniowanej operacji.

AUTOR
Napisane przez Padraiga Bradyego.

PRAWA AUTORSKIE
Copyright © 2014 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja stdbuf jest dostępna w formacie Texinfo. Jeśli programy info i stdbuf są poprawnie zainstalowane, to polecenie

    info coreutils 'stdbuf invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.23 oryginału.